TFBS::PatternGen::AnnSpec(3pm)

NAME
TFBS::PatternGen::AnnSpec - a pattern factory that uses the AnnSpec program (version 2.1)

SYNOPSIS
    my $patterngen =
            TFBS::PatternGen::AnnSpec->new(-seq_file=>'sequences.fa',
                                            -binary => 'ann-spec '

    my $pfm = $patterngen->pattern(); # $pfm is now a TFBS::Matrix::PFM object

DESCRIPTION
TFBS::PatternGen::AnnSpec builds position frequency matrices using an external program AnnSpec (Workman, C. and Stormo, G.D. (2000) ANN-Spec: A method for discovering transcription factor binding sites with improved specificity. Proc. Pacific Symposium on Biocomputing 2000).

FEEDBACK
Please send bug reports and other comments to the author.

AUTHOR - Wynand Alkema
Wynand Alkema <Wynand.Alkema@cgb.ki.se<gt>

  new
 Title   : new
 Usage   : my $pattrengen = TFBS::PatternGen::AnnSpec->new(%args);
 Function: the constructor for the TFBS::PatternGen::AnnSpec object
 Returns : a TFBS::PatternGen::AnnSpec object
 Args    : This method takes named arguments;
            you must specify one of the following three
            -seq_list     # a reference to an array of strings
                          #   and/or Bio::Seq objects
              # or
            -seq_stream   # A Bio::SeqIO object
              # or
            -seq_file     # the name of the fasta file containing
                          #   all the sequences
           Other arguments are:
            -binary       # a fully qualified path to the 'meme' executable
                          #  OPTIONAL: default 'ann-spec'
            -additional_params  # a string containing additional
                                #   command-line switches for the
                                #   ann-spec program

  pattern

  all_patterns

  patternSet
The three methods listed above are used for the retrieval of patterns, and are common to all TFBS::PatternGen::* classes. Please see TFBS::PatternGen for details.